### Signal

# SpiceClientGLib QmpPort::event

since: 0.36

#### Declaration

    void
    event (
      SpiceQmpPort* self,
      gchar* name,
      gpointer node,
      gpointer user_data
    )

#### Description [src]

Event emitted whenever a QMP event is received.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 0.36

#### Parameters

`name`

  Type: `gchar*`

  The QMP event name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`node`

  Type: `gpointer`

  The event data json-node, or NULL.

  The argument can be `NULL`.
  The data is owned by the caller of the function.